### Method

# Ide CommandProvider query_finish

#### Declaration

    GPtrArray*
    ide_command_provider_query_finish (
      IdeCommandProvider* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to locate all the commands matching the users typed text.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `IdeCommand*`
| A `GPtrArray` of `IdeCommand`, or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.